--NAME_PLATE_UNIT_ADDED NAME_PLATE_UNIT_REMOVED
function(e, unit)
	--handle death exception
	local LCG = LibStub("LibCustomGlow-1.0")
	if e == "NAME_PLATE_UNIT_ADDED" then
		local name = UnitName(unit) or ""
		if aura_env.mobs[name] then
			local nameplate = C_NamePlate.GetNamePlateForUnit(unit)
			LCG.PixelGlow_Start(nameplate, {0,0,1,1}, nil, 0, 8, 2, 0, -4)
		end
	elseif e == "NAME_PLATE_UNIT_REMOVED" then
		local name = UnitName(unit) or ""
		if aura_env.mobs[name] then
			local nameplate = C_NamePlate.GetNamePlateForUnit(unit)
			LCG.PixelGlow_Stop(nameplate)
		end
	end
end

--INIT
aura_env.mobs =
{
	["Herald of Salgos"] = 33,
	["Spawn of Salgos"] = 33,
	["Osgen"] = 30,
	["Ungormath"] = 30,
	["Burning Amalgamation"] = 29,
	["Moghiea"] = 29,
	["Salgos the Eternal"] = 28,
	["Zomera"] = 27,
	["Arcane Amalgamation"] = 25,
	["Xue"] = 25,
	["Aldrantiss"] = 22,
	["Watery Amalgamation"] = 22,
	["Dusty Amalgamation"] = 22,
	["Alzana"] = 21,
	["Vyz'olgo the Mind-Taker"] = 20,
	["Qalina"] = 19,
	["Omus"] = 19,
	["Voice in the Deeps"] = 13,
	["King Gakula"] = 11,
	["Chasm-Haunter"] = 11,
	["Scale Matriarch Vynara"] = 11,
	["Anemonar"] = 10,
	["Sandcastle"] = 9,
	["Shiz'narasz the Consumer"] = 9,
	["Toxigore the Alpha"] = 9,
	["Needlespine"] = 9,
	["Siltstalker the Packmother"] = 9,
	["Urduu"] = 9,
	["Tidemistress Leth'sindra"] = 9,
	["Banescale the Packfather"] = 9,
	["Sandclaw Stoneshell"] = 8,
	["Garnetscale"] = 8,
	["Allseer Oma'kil"] = 8,
	["Vor'koth"] = 8,
	["Elder Unu"] = 8,
	["Caverndark Terror"] = 8,
	["Blindlight"] = 8,
	["Shassera"] = 8,
	["Soundless"] = 8,
	["Scale Matriarch Gratinax"] = 8,
	["Tidelord Aquatus"] = 8,
	["Tidelord Dispersius"] = 8,
	["Carnivorous Lasher"] = 7,
	["Mirecrawler"] = 7,
	["Daggertooth Terror"] = 7,
	["Amethyst Spireshell"] = 7,
	["Prince Typhonus"] = 7,
	["Alga the Eyeless"] = 7,
	["Prince Vortran"] = 7,
	["Kelpwillow"] = 7,
	["Deepglider"] = 7,
	["Scale Matriarch Zodia"] = 7,
	["Rockweed Shambler"] = 7,
	["Avarius"] = 6,
	["Iridescent Glimmershell"] = 6,
	["Oronu"] = 6,
	["Elderspawn Nalaada"] = 5,
}